## racon 1.3.1

=== debian/changelog ===
racon (1.3.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 08:09:50 +0200

racon (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #890187)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jun 2018 11:21:59 +0200
