=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libspoa-dev,
                libthread-pool-dev,
                rampler
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/racon
 Vcs-Git: https://salsa.debian.org/med-team/racon.git
 Homepage: https://github.com/isovic/racon
