=== debian/changelog ===
racon (1.4.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:39 +0100

racon (1.4.10-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Point watch file to new location
  * New homepage
  * Versioned Build-Depends: libthread-pool-dev (>= 2)

  [ Michael Crusoe ]
  * New upstream version Closes: #940564
  * Run the tests during the build
  * Run the tests as part of 'autopkgtest'ing
  * Set the racon_wrapper to use /usr/bin/rampler

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 12 Nov 2019 14:43:58 +0100
