=== debian/control ===
--- 
+++ 
@@ -4,23 +4,24 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libgtest-dev,
                libbioparser-dev,
                libedlib-dev,
                libspoa-dev,
-               libthread-pool-dev,
+               libthread-pool-dev (>= 2),
                rampler
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/racon
 Vcs-Git: https://salsa.debian.org/med-team/racon.git
-Homepage: https://github.com/isovic/racon
+Homepage: https://github.com/lbcb-sci/racon
 
 Package: racon
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: python3, rampler
 Description: consensus module for raw de novo DNA assembly of long uncorrected reads
  Racon is intended as a standalone consensus module to correct raw
  contigs generated by rapid assembly methods which do not include a
