=== debian/tests/control ===
Test-Command: sh -c "cd /usr/share/doc/racon/examples && /usr/lib/racon/racon_test"
Depends: @
Restrictions: allow-stderr
