=== debian/changelog ===
racon (1.4.13-2build1) groovy; urgency=medium

  * No-change rebuild against libspoa4.0.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2020 08:21:53 +0000

racon (1.4.13-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix FTBFS on i386: test failures
    Closes: #961110

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Aug 2020 17:29:44 +0200

racon (1.4.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 19:16:39 +0200
