=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: racon
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Cédric Lood <cedric.lood@kuleuven.be>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libgtest-dev,
                libbioparser-dev,
@@ -12,10 +13,11 @@
                libspoa-dev,
                libthread-pool-dev (>= 2),
                rampler
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/racon
 Vcs-Git: https://salsa.debian.org/med-team/racon.git
 Homepage: https://github.com/lbcb-sci/racon
+Rules-Requires-Root: no
 
 Package: racon
 Architecture: any
