=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 
 DEB_CMAKE_EXTRA_FLAGS = -Dracon_build_tests=ON
 
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+	export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
+endif
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
