=== debian/changelog ===
racon (1.4.20-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add lintian-override
  * Standards-Version: 4.5.1 (routine-update)

  [ Michael R. Crusoe ]
  * Update patches.
  * Build the wrapper script.
  * Bump libthread-pool-dev build-dep to be at least 3
  * libthread-pool-dev is now header-only, update use_debian_packaged_libs.patch
    to reflect that.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 08:11:15 +0100
