=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: racon
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Cédric Lood <cedric.lood@kuleuven.be>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -8,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libgtest-dev,
-               libbioparser-dev,
+               libbioparser-dev (>= 3.0.12),
+               libcereal-dev,
                libedlib-dev,
                libspoa-dev,
-               libthread-pool-dev (>= 2),
+               libthread-pool-dev (>= 3.0.2),
                rampler
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/racon
 Vcs-Git: https://salsa.debian.org/med-team/racon.git
 Homepage: https://github.com/lbcb-sci/racon
