=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'Enable dependencies required for testing')
