=== debian/changelog ===
racon (1.5.0-3) unstable; urgency=medium

  * Standards-Version: 4.6.1 (routine-update)
  * Drop patch making racon compatible to old libthread_pool

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 14:39:55 +0200

racon (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Add run-unit-test as user example
  * DEP3

  [ Nilesh Patra ]
  * Revert md5sum based change in autopkgtest
  * Versioned B-D on edlib

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 17:08:40 +0530

racon (1.5.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 1.5.0

  [ tony mancill ]
  * Rework the autopkgtest to invoke installed racon
  * No longer install racon_test in binary package.
    This test is run at build-time.
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Wed, 29 Dec 2021 22:16:12 -0800

racon (1.4.21-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libbioparser-dev.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 17:17:28 +0200
