=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libgtest-dev,
-               libbioparser-dev (>= 3.0.12),
+               libbioparser-dev,
                libcereal-dev,
-               libedlib-dev,
+               libedlib-dev (>= 1.2.7-3~),
                libspoa-dev,
                libthread-pool-dev (>= 3.0.2),
                rampler
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/racon
 Vcs-Git: https://salsa.debian.org/med-team/racon.git
 Homepage: https://github.com/lbcb-sci/racon
