=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_CMAKE_EXTRA_FLAGS = -Dracon_build_tests=ON
+DEB_CMAKE_EXTRA_FLAGS = -Dracon_build_tests=ON -Dracon_build_wrapper=ON
 
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
 	export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
