=== debian/watch ===
version=4

https://github.com/lbcb-sci/racon/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
